## urdfdom 0.2.10+dfsg

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8 FATAL_ERROR )
project (urdfdom CXX C)

set (URDF_MAJOR_VERSION 0)
set (URDF_MINOR_VERSION 2)
set (URDF_PATCH_VERSION 10)

set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})

message (STATUS "${PROJECT_NAME} version ${URDF_VERSION}")

include(GNUInstallDirs)

# hack: by default this would be 'lib/x86_64-linux-gnu'
set(CMAKE_INSTALL_LIBDIR lib)

# set the default build type
if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# If compiler support symbol visibility, enable it.
include(CheckCCompilerFlag)
check_c_compiler_flag(-fvisibility=hidden HAS_VISIBILITY)
if (HAS_VISIBILITY)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

# This shouldn't be necessary, but there has been trouble
# with MSVC being set off, but MSVCXX ON.
if(MSVC OR MSVC90 OR MSVC10)
  set(MSVC ON)
endif (MSVC OR MSVC90 OR MSVC10)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(SearchForTinyXML)
include_directories(${tinyxml_include_dirs})
link_directories(${tinyxml_library_dirs})
add_definitions(${tinyxml_cflags})

find_package(urdfdom_headers REQUIRED)
include_directories(SYSTEM ${urdfdom_headers_INCLUDE_DIRS})

find_package(console_bridge REQUIRED)
include_directories(SYSTEM ${console_bridge_INCLUDE_DIRS})
link_directories(${console_bridge_LIBRARY_DIRS})

find_package(Boost REQUIRED system thread)
include_directories(${Boost_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIRS})

add_subdirectory(urdf_parser)

set(PKG_NAME ${PROJECT_NAME})
set(PKG_LIBRARIES urdfdom_sensor urdfdom_model_state urdfdom_model urdfdom_world)
set(PKG_DEPENDS urdfdom_headers console_bridge)
set(cmake_conf_file "${CMAKE_CURRENT_SOURCE_DIR}/cmake/urdfdom-config.cmake")
configure_file("${cmake_conf_file}.in" "${CMAKE_BINARY_DIR}/${cmake_conf_file}" @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/${cmake_conf_file}
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake/ COMPONENT cmake)

# Make the package config file
if (NOT MSVC)
  set(PKG_DESC "Unified Robot Description Format")
  set(PKG_DEPENDS "urdfdom_headers console_bridge") # make the list separated by spaces instead of ;
  set(PKG_URDF_LIBS "-lurdfdom_sensor -lurdfdom_model_state -lurdfdom_model -lurdfdom_world")
  set(pkg_conf_file "${CMAKE_CURRENT_SOURCE_DIR}/cmake/pkgconfig/urdfdom.pc")
  configure_file("${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
  install(FILES ${CMAKE_BINARY_DIR}/${pkg_conf_file}
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
endif()

add_subdirectory(urdf_parser_py)

message(STATUS "Configuration successful. Type make to compile urdfdom")

SET_DIRECTORY_PROPERTIES(PROPERTIES
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/cmake/urdfdom-config.cmake
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/cmake/pkgconfig/urdfdom.pc)

=== urdf_parser/CMakeLists.txt ===
include_directories(include)

add_library(urdfdom_world SHARED src/pose.cpp src/model.cpp src/link.cpp src/joint.cpp src/world.cpp)
target_link_libraries(urdfdom_world ${tinyxml_libraries} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
#set_target_properties(urdfdom_world PROPERTIES SOVERSION 0.2)

add_library(urdfdom_model SHARED src/pose.cpp src/model.cpp src/link.cpp src/joint.cpp)
target_link_libraries(urdfdom_model ${tinyxml_libraries} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
#set_target_properties(urdfdom_model PROPERTIES SOVERSION 0.2)

add_library(urdfdom_sensor SHARED src/urdf_sensor.cpp)
target_link_libraries(urdfdom_sensor urdfdom_model ${tinyxml_libraries} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
#set_target_properties(urdfdom_sensor PROPERTIES SOVERSION 0.2)

add_library(urdfdom_model_state SHARED src/urdf_model_state.cpp src/twist.cpp)
target_link_libraries(urdfdom_model_state ${tinyxml_libraries} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
#set_target_properties(urdfdom_model_state PROPERTIES SOVERSION 0.2)

# --------------------------------

add_executable(check_urdf src/check_urdf.cpp)
target_link_libraries(check_urdf urdfdom_model urdfdom_world)

add_executable(urdf_to_graphiz src/urdf_to_graphiz.cpp)
target_link_libraries(urdf_to_graphiz urdfdom_model)

add_executable(urdf_mem_test test/memtest.cpp)
target_link_libraries(urdf_mem_test urdfdom_model)


INSTALL(TARGETS urdfdom_model DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS urdfdom_world DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS check_urdf urdf_to_graphiz urdf_mem_test
  DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(TARGETS urdfdom_sensor DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS urdfdom_model_state DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(DIRECTORY include/urdf_parser DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== urdf_parser_py/CMakeLists.txt ===
find_program(PYTHON "python")

if (PYTHON)
  set(SETUP_PY "${CMAKE_CURRENT_SOURCE_DIR}/setup.py")
  install(CODE "execute_process(COMMAND \"${PYTHON}\" \"${SETUP_PY}\" build --build-base \"${CMAKE_CURRENT_BINARY_DIR}/pybuild\" install --install-layout deb --prefix \"${CMAKE_INSTALL_PREFIX}\"
                WORKING_DIRECTORY \"${CMAKE_CURRENT_SOURCE_DIR}\")")
endif()

## urdfdom 0.2.10%2Bdfsg

=== debian/control ===
Source: urdfdom
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9), cmake,
	       libboost-dev,
	       libtinyxml-dev,
	       libconsole-bridge-dev,
	       liburdfdom-headers-dev 
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/urdfdom.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/urdfdom.git
Homepage: https://github.com/ros/urdfdom
XS-Testsuite: autopkgtest

Package: liburdfdom-model0.2
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: URDF DOM - model library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model library.

Package: liburdfdom-model-state0.2
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: URDF DOM - model state library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model state library.

Package: liburdfdom-sensor0.2
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: URDF DOM - sensor library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM sensor library.

Package: liburdfdom-world0.2
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: URDF DOM - world library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM world library.

Package: liburdfdom-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
	 libtinyxml-dev,
	 libconsole-bridge-dev,
	 liburdfdom-headers-dev,
	 liburdfdom-model0.2 (= ${binary:Version}),
	 liburdfdom-model-state0.2 (= ${binary:Version}),
	 liburdfdom-sensor0.2 (= ${binary:Version}),
	 liburdfdom-world0.2 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: URDF DOM - development files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the development files (headers, pkg-config and
 CMake files).

Package: liburdfdom0.2-dbg
Architecture: any
Section: debug
Depends: liburdfdom-model0.2 (= ${binary:Version}),
	 liburdfdom-model-state0.2 (= ${binary:Version}),
	 liburdfdom-sensor0.2 (= ${binary:Version}),
	 liburdfdom-world0.2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: URDF DOM - debugging symbols
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the debugging symbols for the shared libraries.

Package: liburdfdom-tools
Architecture: any
Depends: liburdfdom-model0.2 (= ${binary:Version}),
	 liburdfdom-model-state0.2 (= ${binary:Version}),
	 liburdfdom-sensor0.2 (= ${binary:Version}),
	 liburdfdom-world0.2 (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Multi-Arch: foreign
Description: URDF DOM - tools
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains additional tools.

## urdfdom 0.2.10+dfsg

=== debian/changelog ===
urdfdom (0.2.10+dfsg-1) unstable; urgency=low

  * Import new upstream version 0.2.10 (Closes: #714643).

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 09 Jan 2014 17:40:16 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_clean override_dh_strip get-orig-source

%:
	dh  $@ --parallel

override_dh_auto_clean:
	rm -f cmake/pkgconfig/urdfdom.pc \
	      cmake/urdfdom-config.cmake
	dh_auto_clean --

override_dh_strip:
	dh_strip -a --dbg-package=liburdfdom0.2-dbg

## urdfdom 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 project (urdfdom CXX C)
 
 set (URDF_MAJOR_VERSION 0)
-set (URDF_MINOR_VERSION 2)
-set (URDF_PATCH_VERSION 10)
+set (URDF_MINOR_VERSION 3)
+set (URDF_PATCH_VERSION 0)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})

=== urdf_parser/CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,19 @@
 
 add_library(urdfdom_world SHARED src/pose.cpp src/model.cpp src/link.cpp src/joint.cpp src/world.cpp)
 target_link_libraries(urdfdom_world ${tinyxml_libraries} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
-#set_target_properties(urdfdom_world PROPERTIES SOVERSION 0.2)
+set_target_properties(urdfdom_world PROPERTIES SOVERSION 0.2)
 
 add_library(urdfdom_model SHARED src/pose.cpp src/model.cpp src/link.cpp src/joint.cpp)
 target_link_libraries(urdfdom_model ${tinyxml_libraries} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
-#set_target_properties(urdfdom_model PROPERTIES SOVERSION 0.2)
+set_target_properties(urdfdom_model PROPERTIES SOVERSION 0.2)
 
 add_library(urdfdom_sensor SHARED src/urdf_sensor.cpp)
 target_link_libraries(urdfdom_sensor urdfdom_model ${tinyxml_libraries} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
-#set_target_properties(urdfdom_sensor PROPERTIES SOVERSION 0.2)
+set_target_properties(urdfdom_sensor PROPERTIES SOVERSION 0.2)
 
 add_library(urdfdom_model_state SHARED src/urdf_model_state.cpp src/twist.cpp)
 target_link_libraries(urdfdom_model_state ${tinyxml_libraries} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
-#set_target_properties(urdfdom_model_state PROPERTIES SOVERSION 0.2)
+set_target_properties(urdfdom_model_state PROPERTIES SOVERSION 0.2)
 
 # --------------------------------

=== debian/changelog ===
urdfdom (0.3.0-1) unstable; urgency=medium

  * Import new upstream version 0.3.0
  * Remove soname patch (merged upstream)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Mar 2014 19:52:36 +0000

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 	       libboost-dev,
 	       libtinyxml-dev,
 	       libconsole-bridge-dev,
-	       liburdfdom-headers-dev 
+	       liburdfdom-headers-dev (>= 0.3.0)
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/urdfdom.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/urdfdom.git
 Homepage: https://github.com/ros/urdfdom
 XS-Testsuite: autopkgtest
 
-Package: liburdfdom-model0.2
+Package: liburdfdom-model0.3
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends}
@@ -28,7 +28,7 @@
  .
  This package contains the URDF DOM model library.
 
-Package: liburdfdom-model-state0.2
+Package: liburdfdom-model-state0.3
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends}
@@ -41,7 +41,7 @@
  .
  This package contains the URDF DOM model state library.
 
-Package: liburdfdom-sensor0.2
+Package: liburdfdom-sensor0.3
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends}
@@ -54,7 +54,7 @@
  .
  This package contains the URDF DOM sensor library.
 
-Package: liburdfdom-world0.2
+Package: liburdfdom-world0.3
 Architecture: any
 Depends: ${shlibs:Depends},
 	 ${misc:Depends}
@@ -73,11 +73,11 @@
 Depends: libboost-dev,
 	 libtinyxml-dev,
 	 libconsole-bridge-dev,
-	 liburdfdom-headers-dev,
-	 liburdfdom-model0.2 (= ${binary:Version}),
-	 liburdfdom-model-state0.2 (= ${binary:Version}),
-	 liburdfdom-sensor0.2 (= ${binary:Version}),
-	 liburdfdom-world0.2 (= ${binary:Version}),
+	 liburdfdom-headers-dev (>= 0.3.0),
+	 liburdfdom-model0.3 (= ${binary:Version}),
+	 liburdfdom-model-state0.3 (= ${binary:Version}),
+	 liburdfdom-sensor0.3 (= ${binary:Version}),
+	 liburdfdom-world0.3 (= ${binary:Version}),
 	 ${misc:Depends}
 Multi-Arch: same
 Description: URDF DOM - development files
@@ -88,13 +88,13 @@
  This package contains the development files (headers, pkg-config and
  CMake files).
 
-Package: liburdfdom0.2-dbg
+Package: liburdfdom0.3-dbg
 Architecture: any
 Section: debug
-Depends: liburdfdom-model0.2 (= ${binary:Version}),
-	 liburdfdom-model-state0.2 (= ${binary:Version}),
-	 liburdfdom-sensor0.2 (= ${binary:Version}),
-	 liburdfdom-world0.2 (= ${binary:Version}),
+Depends: liburdfdom-model0.3 (= ${binary:Version}),
+	 liburdfdom-model-state0.3 (= ${binary:Version}),
+	 liburdfdom-sensor0.3 (= ${binary:Version}),
+	 liburdfdom-world0.3 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: URDF DOM - debugging symbols
@@ -106,10 +106,10 @@
 
 Package: liburdfdom-tools
 Architecture: any
-Depends: liburdfdom-model0.2 (= ${binary:Version}),
-	 liburdfdom-model-state0.2 (= ${binary:Version}),
-	 liburdfdom-sensor0.2 (= ${binary:Version}),
-	 liburdfdom-world0.2 (= ${binary:Version}),
+Depends: liburdfdom-model0.3 (= ${binary:Version}),
+	 liburdfdom-model-state0.3 (= ${binary:Version}),
+	 liburdfdom-sensor0.3 (= ${binary:Version}),
+	 liburdfdom-world0.3 (= ${binary:Version}),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_clean override_dh_strip

%:
	dh  $@ --parallel

override_dh_auto_clean:
	rm -f cmake/pkgconfig/urdfdom.pc \
	      cmake/urdfdom-config.cmake
	dh_auto_clean --

override_dh_strip:
	dh_strip -a --dbg-package=liburdfdom0.3-dbg

## urdfdom 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,11 @@
 project (urdfdom CXX C)
 
 set (URDF_MAJOR_VERSION 0)
-set (URDF_MINOR_VERSION 3)
+set (URDF_MINOR_VERSION 4)
 set (URDF_PATCH_VERSION 0)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
+set (URDF_MAJOR_MINOR_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION})
 
 message (STATUS "${PROJECT_NAME} version ${URDF_VERSION}")
 
@@ -34,39 +35,51 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
-include(SearchForTinyXML)
-include_directories(${tinyxml_include_dirs})
-link_directories(${tinyxml_library_dirs})
-add_definitions(${tinyxml_cflags})
+find_package(TinyXML REQUIRED)
+include_directories(SYSTEM ${TinyXML_INCLUDE_DIRS})
 
-find_package(urdfdom_headers REQUIRED)
+find_package(urdfdom_headers 0.4 REQUIRED)
 include_directories(SYSTEM ${urdfdom_headers_INCLUDE_DIRS})
 
-find_package(console_bridge REQUIRED)
+find_package(console_bridge 0.3 REQUIRED)
 include_directories(SYSTEM ${console_bridge_INCLUDE_DIRS})
 link_directories(${console_bridge_LIBRARY_DIRS})
 
-find_package(Boost REQUIRED system thread)
+find_package(Boost REQUIRED system thread unit_test_framework)
 include_directories(${Boost_INCLUDE_DIR})
 link_directories(${Boost_LIBRARY_DIRS})
 
+#In Visual Studio a special postfix for 
+#libraries compiled in debug is used
+if(MSVC)
+set(CMAKE_DEBUG_POSTFIX "d")
+endif(MSVC)
+
+enable_testing()
+
 add_subdirectory(urdf_parser)
+
+if(WIN32 AND NOT CYGWIN)
+  set(CMAKE_CONFIG_INSTALL_DIR CMake)
+else()
+  set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake/)
+endif()
 
 set(PKG_NAME ${PROJECT_NAME})
 set(PKG_LIBRARIES urdfdom_sensor urdfdom_model_state urdfdom_model urdfdom_world)
 set(PKG_DEPENDS urdfdom_headers console_bridge)
-set(cmake_conf_file "${CMAKE_CURRENT_SOURCE_DIR}/cmake/urdfdom-config.cmake")
-configure_file("${cmake_conf_file}.in" "${CMAKE_BINARY_DIR}/${cmake_conf_file}" @ONLY)
+set(cmake_conf_file "cmake/urdfdom-config.cmake")
+configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${cmake_conf_file}.in" "${CMAKE_BINARY_DIR}/${cmake_conf_file}" @ONLY)
 install(FILES ${CMAKE_BINARY_DIR}/${cmake_conf_file}
-  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake/ COMPONENT cmake)
+  DESTINATION ${CMAKE_CONFIG_INSTALL_DIR} COMPONENT cmake)
 
 # Make the package config file
 if (NOT MSVC)
   set(PKG_DESC "Unified Robot Description Format")
   set(PKG_DEPENDS "urdfdom_headers console_bridge") # make the list separated by spaces instead of ;
   set(PKG_URDF_LIBS "-lurdfdom_sensor -lurdfdom_model_state -lurdfdom_model -lurdfdom_world")
-  set(pkg_conf_file "${CMAKE_CURRENT_SOURCE_DIR}/cmake/pkgconfig/urdfdom.pc")
-  configure_file("${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
+  set(pkg_conf_file "cmake/pkgconfig/urdfdom.pc")
+  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
   install(FILES ${CMAKE_BINARY_DIR}/${pkg_conf_file}
     DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
 endif()

=== urdf_parser/CMakeLists.txt ===
include_directories(include)

add_library(urdfdom_world SHARED src/pose.cpp src/model.cpp src/link.cpp src/joint.cpp src/world.cpp)
target_link_libraries(urdfdom_world ${TinyXML_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(urdfdom_world PROPERTIES SOVERSION ${URDF_MAJOR_MINOR_VERSION})

add_library(urdfdom_model SHARED src/pose.cpp src/model.cpp src/link.cpp src/joint.cpp)
target_link_libraries(urdfdom_model ${TinyXML_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(urdfdom_model PROPERTIES SOVERSION ${URDF_MAJOR_MINOR_VERSION})

add_library(urdfdom_sensor SHARED src/urdf_sensor.cpp)
target_link_libraries(urdfdom_sensor urdfdom_model ${TinyXML_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(urdfdom_sensor PROPERTIES SOVERSION ${URDF_MAJOR_MINOR_VERSION})

add_library(urdfdom_model_state SHARED src/urdf_model_state.cpp src/twist.cpp)
target_link_libraries(urdfdom_model_state ${TinyXML_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(urdfdom_model_state PROPERTIES SOVERSION ${URDF_MAJOR_MINOR_VERSION})

# --------------------------------

add_executable(check_urdf src/check_urdf.cpp)
target_link_libraries(check_urdf urdfdom_model urdfdom_world)

add_executable(urdf_to_graphiz src/urdf_to_graphiz.cpp)
target_link_libraries(urdf_to_graphiz urdfdom_model)

# urdf_mem_test is a binary for testing, not a unit test
add_executable(urdf_mem_test test/memtest.cpp)
target_link_libraries(urdf_mem_test urdfdom_model)

# unit test to fix geometry problems
add_executable(urdf_unit_test test/urdf_unit_test.cpp)
target_link_libraries(urdf_unit_test urdfdom_model ${Boost_LIBRARIES})
add_test(urdf_unit_test urdf_unit_test)

INSTALL(TARGETS urdfdom_model DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS urdfdom_world DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS check_urdf urdf_to_graphiz urdf_mem_test
  DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(TARGETS urdfdom_sensor DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS urdfdom_model_state DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(DIRECTORY include/urdf_parser DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== urdf_parser_py/CMakeLists.txt ===
find_program(PYTHON "python")

if (NOT PYTHON)
  return()
endif()

set(SETUP_PY "${CMAKE_CURRENT_SOURCE_DIR}/setup.py")
install(CODE "execute_process(COMMAND \"${PYTHON}\" \"${SETUP_PY}\" build --build-base \"${CMAKE_CURRENT_BINARY_DIR}/pybuild\" install --install-layout deb --prefix \"${CMAKE_INSTALL_PREFIX}\"
              WORKING_DIRECTORY \"${CMAKE_CURRENT_SOURCE_DIR}\")")

add_test(NAME urdf_parser_py
         COMMAND /usr/bin/env PYTHONPATH=${CMAKE_CURRENT_SOURCE_DIR}/src ${PYTHON} test_urdf.py
         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test)

=== debian/changelog ===
urdfdom (0.4.1-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Imported Upstream version 0.4.0
  * Update patch. Submitted upstream
  * Imported Upstream version 0.4.1
  * Patch merged upstream
  * Migrate boost dependency to generic version
    (Closes: #812400)

  [ Anton Gladky ]
  * Apply "cme fix dpkg"

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 05 Feb 2016 00:56:01 +0000

urdfdom (0.3.0-2) unstable; urgency=medium

  [ Jose Luis Rivero]
  * Fix priorities
  * Added Testsuite autopkgtest
  * G++5 library migration: v5 postfix for all libraries
    (Closes: #796716)

  [ Anton Gladky ]
  * [5a66411] Do not migrate dbg-package.
  * [e5dcee8] Add Breaks/Replaces for GCC-5 migration.
  * [6cff03e] Apply cme fix dpkg.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 21 Nov 2015 01:10:09 +0100

=== debian/control ===
Source: urdfdom
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libboost-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libboost-test-dev,
               libtinyxml-dev,
               libconsole-bridge-dev,
               liburdfdom-headers-dev (>= 0.4),
               python-mock,
               python-yaml,
               python-lxml,
               python-pkg-resources
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/urdfdom.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/urdfdom.git
Homepage: https://github.com/ros/urdfdom

Package: liburdfdom-model0.4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - model library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model library.

Package: liburdfdom-model-state0.4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - model state library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model state library.

Package: liburdfdom-sensor0.4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - sensor library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM sensor library.

Package: liburdfdom-world0.4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - world library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM world library.

Package: liburdfdom-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libboost-dev,
         libboost-system-dev,
         libtinyxml-dev,
         libconsole-bridge-dev,
         liburdfdom-headers-dev (>= 0.4),
         liburdfdom-model0.4 (= ${binary:Version}),
         liburdfdom-model-state0.4 (= ${binary:Version}),
         liburdfdom-sensor0.4 (= ${binary:Version}),
         liburdfdom-world0.4 (= ${binary:Version}),
         ${misc:Depends}
Description: URDF DOM - development files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the development files (headers, pkg-config and
 CMake files).

Package: liburdfdom0.4-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: liburdfdom-model0.4 (= ${binary:Version}),
         liburdfdom-model-state0.4 (= ${binary:Version}),
         liburdfdom-sensor0.4 (= ${binary:Version}),
         liburdfdom-world0.4 (= ${binary:Version}),
         ${misc:Depends}
Description: URDF DOM - debugging symbols
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the debugging symbols for the shared libraries.

Package: liburdfdom-tools
Architecture: any
Multi-Arch: foreign
Depends: liburdfdom-model0.4 (= ${binary:Version}),
         liburdfdom-model-state0.4 (= ${binary:Version}),
         liburdfdom-sensor0.4 (= ${binary:Version}),
         liburdfdom-world0.4 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - tools
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains additional tools.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 override_dh_auto_clean:
 	rm -f cmake/pkgconfig/urdfdom.pc \
 	      cmake/urdfdom-config.cmake
+	find urdf_parser_py/ -name *.pyc -exec rm {} \;
 	dh_auto_clean --
 
 override_dh_strip:
-	dh_strip -a --dbg-package=liburdfdom0.3-dbg
+	dh_strip -a --dbg-package=liburdfdom0.4-dbg

=== debian/tests/control ===
Tests: build
Depends: liburdfdom-dev, build-essential

## urdfdom 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required( VERSION 2.8 FATAL_ERROR )
 project (urdfdom CXX C)
 
-set (URDF_MAJOR_VERSION 0)
-set (URDF_MINOR_VERSION 4)
+set (URDF_MAJOR_VERSION 1)
+set (URDF_MINOR_VERSION 0)
 set (URDF_PATCH_VERSION 0)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
@@ -11,9 +11,6 @@
 message (STATUS "${PROJECT_NAME} version ${URDF_VERSION}")
 
 include(GNUInstallDirs)
-
-# hack: by default this would be 'lib/x86_64-linux-gnu'
-set(CMAKE_INSTALL_LIBDIR lib)
 
 # set the default build type
 if (NOT CMAKE_BUILD_TYPE)
@@ -38,22 +35,26 @@
 find_package(TinyXML REQUIRED)
 include_directories(SYSTEM ${TinyXML_INCLUDE_DIRS})
 
-find_package(urdfdom_headers 0.4 REQUIRED)
+find_package(urdfdom_headers 1.0 REQUIRED)
 include_directories(SYSTEM ${urdfdom_headers_INCLUDE_DIRS})
+if (NOT MSVC)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+endif()
 
 find_package(console_bridge 0.3 REQUIRED)
 include_directories(SYSTEM ${console_bridge_INCLUDE_DIRS})
 link_directories(${console_bridge_LIBRARY_DIRS})
-
-find_package(Boost REQUIRED system thread unit_test_framework)
-include_directories(${Boost_INCLUDE_DIR})
-link_directories(${Boost_LIBRARY_DIRS})
 
 #In Visual Studio a special postfix for 
 #libraries compiled in debug is used
 if(MSVC)
 set(CMAKE_DEBUG_POSTFIX "d")
 endif(MSVC)
+
+# Control where libraries and executables are placed during the build
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
 
 enable_testing()
 
@@ -62,7 +63,7 @@
 if(WIN32 AND NOT CYGWIN)
   set(CMAKE_CONFIG_INSTALL_DIR CMake)
 else()
-  set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake/)
+    set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR}/${PROJECT_NAME}/cmake/)
 endif()
 
 set(PKG_NAME ${PROJECT_NAME})
@@ -84,8 +85,6 @@
     DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
 endif()
 
-add_subdirectory(urdf_parser_py)
-
 message(STATUS "Configuration successful. Type make to compile urdfdom")
 
 SET_DIRECTORY_PROPERTIES(PROPERTIES

=== urdf_parser/CMakeLists.txt ===
include_directories(include)

add_library(urdfdom_world SHARED src/pose.cpp src/model.cpp src/link.cpp src/joint.cpp src/world.cpp)
target_link_libraries(urdfdom_world ${TinyXML_LIBRARIES} ${console_bridge_LIBRARIES})
set_target_properties(urdfdom_world PROPERTIES SOVERSION ${URDF_MAJOR_MINOR_VERSION})

add_library(urdfdom_model SHARED src/pose.cpp src/model.cpp src/link.cpp src/joint.cpp)
target_link_libraries(urdfdom_model ${TinyXML_LIBRARIES} ${console_bridge_LIBRARIES})
set_target_properties(urdfdom_model PROPERTIES SOVERSION ${URDF_MAJOR_MINOR_VERSION})

add_library(urdfdom_sensor SHARED src/urdf_sensor.cpp)
target_link_libraries(urdfdom_sensor urdfdom_model ${TinyXML_LIBRARIES} ${console_bridge_LIBRARIES})
set_target_properties(urdfdom_sensor PROPERTIES SOVERSION ${URDF_MAJOR_MINOR_VERSION})

add_library(urdfdom_model_state SHARED src/urdf_model_state.cpp src/twist.cpp)
target_link_libraries(urdfdom_model_state ${TinyXML_LIBRARIES} ${console_bridge_LIBRARIES})
set_target_properties(urdfdom_model_state PROPERTIES SOVERSION ${URDF_MAJOR_MINOR_VERSION})

# --------------------------------

add_executable(check_urdf src/check_urdf.cpp)
target_link_libraries(check_urdf urdfdom_model urdfdom_world)

add_executable(urdf_to_graphiz src/urdf_to_graphiz.cpp)
target_link_libraries(urdf_to_graphiz urdfdom_model)

# urdf_mem_test is a binary for testing, not a unit test
add_executable(urdf_mem_test test/memtest.cpp)
target_link_libraries(urdf_mem_test urdfdom_model)

add_subdirectory(test)

INSTALL(TARGETS urdfdom_model DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS urdfdom_world DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS check_urdf urdf_to_graphiz urdf_mem_test
  DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(TARGETS urdfdom_sensor DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(TARGETS urdfdom_model_state DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(DIRECTORY include/urdf_parser DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== urdf_parser/test/CMakeLists.txt ===
include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}/gtest/include
  ${CMAKE_CURRENT_SOURCE_DIR}/gtest
  ${CMAKE_CURRENT_SOURCE_DIR}
)

link_directories(
  ${PROJECT_BINARY_DIR}/test
)


# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

# unit test to fix geometry problems
set(tests
     urdf_unit_test.cpp)

#################################################
# Build all the tests
foreach(GTEST_SOURCE_file ${tests})
  string(REGEX REPLACE ".cpp" "" BINARY_NAME ${GTEST_SOURCE_file})
  add_executable(${BINARY_NAME} ${GTEST_SOURCE_file})

  target_link_libraries(${BINARY_NAME}
    gtest_main
    gtest
    urdfdom_model
  )
  if (UNIX)
    target_link_libraries(${BINARY_NAME} pthread)
  endif()

  add_test(NAME    ${BINARY_NAME}
           COMMAND ${BINARY_NAME}
                   --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)

  set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240)
endforeach()

=== debian/changelog ===
urdfdom (1.0.0-2ubuntu0.1) bionic; urgency=medium

  * Patch to avoid truncating problems on non english locale systems (LP: #1817595)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Aug 2019 17:51:52 +0000

urdfdom (1.0.0-2build2) bionic; urgency=medium

  * No-change rebuild against libconsole-bridge0.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Mar 2018 07:13:43 +0000

urdfdom (1.0.0-2build1) bionic; urgency=medium

  * No-change rebuild fixes a segfault in urdfdom-world on ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 30 Oct 2017 10:37:09 -0700

urdfdom (1.0.0-2) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Include Google copyright for gtest

  [ Jochen Sprickerhof ]
  * Install cmake files again
  * Team upload.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Sep 2016 19:02:02 +0200

urdfdom (1.0.0-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Imported Upstream version 1.0.0
  * Update control file
  * Update package name
  * Removed patch merged upstream

  [ Anton Gladky ]
  * Drop dbg-package
  * Do not override binary strip

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 22 Aug 2016 14:36:04 +0000

=== debian/control ===
Source: urdfdom
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libtinyxml-dev,
               libconsole-bridge-dev,
               liburdfdom-headers-dev (>= 1.0.0-1ubuntu0.1),
               python-mock,
               python-yaml,
               python-lxml,
               python-pkg-resources
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/urdfdom.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/urdfdom.git
Homepage: https://github.com/ros/urdfdom

Package: liburdfdom-model
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - model library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model library.

Package: liburdfdom-model-state
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - model state library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model state library.

Package: liburdfdom-sensor
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - sensor library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM sensor library.

Package: liburdfdom-world
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: URDF DOM - world library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM world library.

Package: liburdfdom-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libtinyxml-dev,
         libconsole-bridge-dev,
         liburdfdom-headers-dev (>= 1.0),
         liburdfdom-model (= ${binary:Version}),
         liburdfdom-model-state (= ${binary:Version}),
         liburdfdom-sensor (= ${binary:Version}),
         liburdfdom-world (= ${binary:Version}),
         ${misc:Depends}
Description: URDF DOM - development files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the development files (headers, pkg-config and
 CMake files).

Package: liburdfdom-tools
Architecture: any
Multi-Arch: foreign
Depends: liburdfdom-model (= ${binary:Version}),
         liburdfdom-model-state (= ${binary:Version}),
         liburdfdom-sensor (= ${binary:Version}),
         liburdfdom-world (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - tools
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains additional tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@ --parallel

override_dh_auto_clean:
	rm -f cmake/pkgconfig/urdfdom.pc \
	      cmake/urdfdom-config.cmake
	find urdf_parser/ -name *.pyc -exec rm {} \;
	dh_auto_clean --

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
     https://github.com/ros/urdfdom/tags .*/v?(\d\S*)\.tar\.gz

## urdfdom 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set (URDF_MAJOR_VERSION 1)
 set (URDF_MINOR_VERSION 0)
-set (URDF_PATCH_VERSION 0)
+set (URDF_PATCH_VERSION 3)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
 set (URDF_MAJOR_MINOR_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION})
@@ -35,7 +35,7 @@
 find_package(TinyXML REQUIRED)
 include_directories(SYSTEM ${TinyXML_INCLUDE_DIRS})
 
-find_package(urdfdom_headers 1.0 REQUIRED)
+find_package(urdfdom_headers 1.0.3 REQUIRED)
 include_directories(SYSTEM ${urdfdom_headers_INCLUDE_DIRS})
 if (NOT MSVC)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
@@ -85,6 +85,11 @@
     DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
 endif()
 
+# Add uninstall target
+# Ref: http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
+configure_file("${PROJECT_SOURCE_DIR}/cmake/uninstall.cmake.in" "${PROJECT_BINARY_DIR}/uninstall.cmake" IMMEDIATE @ONLY)
+add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${PROJECT_BINARY_DIR}/uninstall.cmake")
+
 message(STATUS "Configuration successful. Type make to compile urdfdom")
 
 SET_DIRECTORY_PROPERTIES(PROPERTIES

=== urdf_parser/test/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,6 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/gtest
   ${CMAKE_CURRENT_SOURCE_DIR}
 )
-
-link_directories(
-  ${PROJECT_BINARY_DIR}/test
-)
-
 
 # Build gtest
 add_library(gtest STATIC gtest/src/gtest-all.cc)
@@ -20,7 +15,9 @@
 
 # unit test to fix geometry problems
 set(tests
-     urdf_unit_test.cpp)
+     urdf_double_convert.cpp
+     urdf_unit_test.cpp
+)
 
 #################################################
 # Build all the tests
@@ -41,5 +38,11 @@
            COMMAND ${BINARY_NAME}
                    --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)
 
-  set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240)
+  set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240 ENVIRONMENT LC_ALL=C)
+  
+  add_test(NAME    ${BINARY_NAME}_locale
+           COMMAND ${BINARY_NAME}
+                   --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}_locale.xml)
+
+  set_tests_properties(${BINARY_NAME}_locale PROPERTIES TIMEOUT 240 ENVIRONMENT LC_ALL=nl_NL.UTF-8)
 endforeach()

=== debian/changelog ===
urdfdom (1.0.3-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.

  [ Jose Luis Rivero ]
  * New upstream version 1.0.3

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 25 Feb 2019 14:33:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: urdfdom
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                cmake,
                libtinyxml-dev,
                libconsole-bridge-dev,
-               liburdfdom-headers-dev (>= 1.0.0-1ubuntu0.1),
+               liburdfdom-headers-dev (>= 1.0),
                python-mock,
                python-yaml,
                python-lxml,
                python-pkg-resources
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/urdfdom.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/urdfdom.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
+Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
 Homepage: https://github.com/ros/urdfdom
 
 Package: liburdfdom-model

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh  $@ --parallel
+	dh  $@
 
 override_dh_auto_clean:
 	rm -f cmake/pkgconfig/urdfdom.pc \

## urdfdom 1.0.4%2Bds

=== urdf_parser/test/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 set(tests
      urdf_double_convert.cpp
      urdf_unit_test.cpp
+     urdf_version_test.cpp
 )
 
 #################################################
@@ -39,7 +40,7 @@
                    --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)
 
   set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240 ENVIRONMENT LC_ALL=C)
-  
+
   add_test(NAME    ${BINARY_NAME}_locale
            COMMAND ${BINARY_NAME}
                    --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}_locale.xml)

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,7 @@
                libtinyxml-dev,
                libconsole-bridge-dev,
                liburdfdom-headers-dev (>= 1.0),
-               python-mock,
-               python-yaml,
-               python-lxml,
-               python-pkg-resources
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
 Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
 Homepage: https://github.com/ros/urdfdom

## urdfdom 1.0.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set (URDF_MAJOR_VERSION 1)
 set (URDF_MINOR_VERSION 0)
-set (URDF_PATCH_VERSION 3)
+set (URDF_PATCH_VERSION 4)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
 set (URDF_MAJOR_MINOR_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION})

=== urdf_parser/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,10 @@
 add_executable(urdf_mem_test test/memtest.cpp)
 target_link_libraries(urdf_mem_test urdfdom_model)
 
-add_subdirectory(test)
+include(CTest)
+if(BUILD_TESTING)
+  add_subdirectory(test)
+endif()
 
 INSTALL(TARGETS urdfdom_model DESTINATION ${CMAKE_INSTALL_LIBDIR})
 INSTALL(TARGETS urdfdom_world DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
urdfdom (1.0.4+ds-5build1) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:31:56 +0000

urdfdom (1.0.4+ds-5) unstable; urgency=medium

  * Add pkg-config to fix autopkgtest
    (Closes: #996360)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Oct 2021 13:38:48 +0000

urdfdom (1.0.4+ds-4) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Sep 2021 19:43:21 +0000

urdfdom (1.0.4+ds-3) experimental; urgency=medium

  * Add patch for console_bridge
    Goal is to make the transition to 1.x version of console_bridge

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Aug 2021 21:15:35 +0000

urdfdom (1.0.4+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop unneeded Python 2 build-dependency (Closes: #943296).

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Feb 2020 21:14:29 +1100

urdfdom (1.0.4+ds-1) unstable; urgency=medium

  * Fix travis filename
  * New upstream version 1.0.4

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 21 Jan 2020 16:58:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: urdfdom
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jose Luis Rivero <jrivero@osrfoundation.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11),

=== debian/tests/control ===
Tests: build
Depends: liburdfdom-dev, build-essential, pkg-config
